ReferenceAPI keys
Reassign a service key's responsible contact (team admins and owners; audited)
PATCH
/v1/teams/{team}/api-keys/{keyId}Path Parameters
team*string
Team slug or ID
keyId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/teams/string/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "responsibleUserId": "54cc9916-ccdc-49da-9bad-ecd275074619" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "personal", "prefix": "string", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "scopes": [ "query" ], "knowledgeBaseIds": [ "feff8316-75ff-4581-ba78-f3795ee6b8e7" ], "agentIds": [ "9f18082b-e622-49dd-8f74-8ac7ee98b30b" ], "contact": { "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "name": "string", "email": "string" }, "expiresAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }}